<?xml version="1.0" encoding="UTF-8"?>
<xmi:XMI xmi:version="20131001" xmlns:xmi="http://www.omg.org/spec/XMI/20131001" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:bpc="http://www.eclipse.org/papyrus/robotics/bpc/1" xmlns:ecore="http://www.eclipse.org/emf/2002/Ecore" xmlns:robotics.commpattern="http://www.eclipse.org/papyrus/robotics/commpattern/1" xmlns:robotics.skills="http://www.eclipse.org/papyrus/robotics/skills/1" xmlns:uml="http://www.eclipse.org/uml2/5.0.0/UML" xsi:schemaLocation="http://www.eclipse.org/papyrus/robotics/commpattern/1 http://www.eclipse.org/papyrus/robotics/1#//commpattern http://www.eclipse.org/papyrus/robotics/skills/1 http://www.eclipse.org/papyrus/robotics/1#//skills">
  <uml:Model xmi:id="_LaOOAJcvEeeV0-Lu2yLOjA" name="robotics">
    <packageImport xmi:type="uml:PackageImport" xmi:id="_3bM1UJijEee4S-CBnWqXWg">
      <importedPackage xmi:type="uml:Model" href="pathmap://UML_LIBRARIES/UMLPrimitiveTypes.library.uml#_0"/>
    </packageImport>
    <packagedElement xmi:type="uml:Package" xmi:id="_6rSvUKGyEeemu4wTX3aBAQ" name="commpatterns">
      <ownedComment xmi:type="uml:Comment" xmi:id="_uty2sMaxEeu82J2UNoiWfA" annotatedElement="_3VN08MawEeu82J2UNoiWfA">
        <body>Extension compared to RobMoSys - pattern uifying push and send allowing for publish/subscribe with m publishers and n subscribers</body>
      </ownedComment>
      <ownedComment xmi:type="uml:Comment" xmi:id="_RGGeoMbpEeu82J2UNoiWfA" annotatedElement="_tHLhEDBhEeqxv6YJjwaRyw">
        <body>Extension compared to RobMoSys - ROS inspired Action pattern</body>
      </ownedComment>
      <packagedElement xmi:type="uml:Collaboration" xmi:id="_jcHOYKFvEeemu4wTX3aBAQ" name="Event">
        <ownedTemplateSignature xmi:type="uml:RedefinableTemplateSignature" xmi:id="_BpDWwAseEeiM4pGIjgeypQ" name="EventPatternSignature" parameter="_EZOYUAseEeiM4pGIjgeypQ _GIMbkAseEeiM4pGIjgeypQ _KYIzQCaoEeiurq-kTHMlgA">
          <ownedParameter xmi:type="uml:ClassifierTemplateParameter" xmi:id="_EZOYUAseEeiM4pGIjgeypQ" parameteredElement="_OGr8IAseEeiM4pGIjgeypQ">
            <ownedParameteredElement xmi:type="uml:DataType" xmi:id="_OGr8IAseEeiM4pGIjgeypQ" name="Parameter" templateParameter="_EZOYUAseEeiM4pGIjgeypQ"/>
          </ownedParameter>
          <ownedParameter xmi:type="uml:ClassifierTemplateParameter" xmi:id="_GIMbkAseEeiM4pGIjgeypQ" parameteredElement="_QUhssAseEeiM4pGIjgeypQ">
            <ownedParameteredElement xmi:type="uml:DataType" xmi:id="_QUhssAseEeiM4pGIjgeypQ" name="Event" templateParameter="_GIMbkAseEeiM4pGIjgeypQ"/>
          </ownedParameter>
          <ownedParameter xmi:type="uml:ClassifierTemplateParameter" xmi:id="_KYIzQCaoEeiurq-kTHMlgA" parameteredElement="_KYIzQSaoEeiurq-kTHMlgA">
            <ownedParameteredElement xmi:type="uml:DataType" xmi:id="_KYIzQSaoEeiurq-kTHMlgA" name="State" templateParameter="_KYIzQCaoEeiurq-kTHMlgA"/>
          </ownedParameter>
        </ownedTemplateSignature>
      </packagedElement>
      <packagedElement xmi:type="uml:Collaboration" xmi:id="_AmgZQPIzEeeJotakjzOasQ" name="Push">
        <ownedTemplateSignature xmi:type="uml:RedefinableTemplateSignature" xmi:id="_3VN08cawEeu82J2UNoiWfA" name="PushPatternSignature" parameter="_fCIPEMaxEeu82J2UNoiWfA">
          <ownedParameter xmi:type="uml:ClassifierTemplateParameter" xmi:id="_fCIPEMaxEeu82J2UNoiWfA" parameteredElement="_fCIPEcaxEeu82J2UNoiWfA">
            <ownedParameteredElement xmi:type="uml:DataType" xmi:id="_fCIPEcaxEeu82J2UNoiWfA" name="Message" templateParameter="_fCIPEMaxEeu82J2UNoiWfA"/>
          </ownedParameter>
        </ownedTemplateSignature>
      </packagedElement>
      <packagedElement xmi:type="uml:Collaboration" xmi:id="_ZBowECakEeitH-pStkBWTw" name="Query">
        <ownedTemplateSignature xmi:type="uml:RedefinableTemplateSignature" xmi:id="_5u2FwCanEeiurq-kTHMlgA" name="QueryPatternSignature" parameter="_5u2FwSanEeiurq-kTHMlgA _5u2FwyanEeiurq-kTHMlgA">
          <ownedParameter xmi:type="uml:ClassifierTemplateParameter" xmi:id="_5u2FwSanEeiurq-kTHMlgA" parameteredElement="_5u2FwianEeiurq-kTHMlgA">
            <ownedParameteredElement xmi:type="uml:DataType" xmi:id="_5u2FwianEeiurq-kTHMlgA" name="Request" templateParameter="_5u2FwSanEeiurq-kTHMlgA"/>
          </ownedParameter>
          <ownedParameter xmi:type="uml:ClassifierTemplateParameter" xmi:id="_5u2FwyanEeiurq-kTHMlgA" parameteredElement="_5u2FxCanEeiurq-kTHMlgA">
            <ownedParameteredElement xmi:type="uml:DataType" xmi:id="_5u2FxCanEeiurq-kTHMlgA" name="Response" templateParameter="_5u2FwyanEeiurq-kTHMlgA"/>
          </ownedParameter>
        </ownedTemplateSignature>
      </packagedElement>
      <packagedElement xmi:type="uml:Collaboration" xmi:id="_0UqVACanEeiurq-kTHMlgA" name="Send">
        <ownedTemplateSignature xmi:type="uml:RedefinableTemplateSignature" xmi:id="_6uKNsCanEeiurq-kTHMlgA" name="SendPatternSignature" parameter="_6uKNsSanEeiurq-kTHMlgA">
          <ownedParameter xmi:type="uml:ClassifierTemplateParameter" xmi:id="_6uKNsSanEeiurq-kTHMlgA" parameteredElement="_6uKNsianEeiurq-kTHMlgA">
            <ownedParameteredElement xmi:type="uml:DataType" xmi:id="_6uKNsianEeiurq-kTHMlgA" name="Message" templateParameter="_6uKNsSanEeiurq-kTHMlgA"/>
          </ownedParameter>
        </ownedTemplateSignature>
      </packagedElement>
      <packagedElement xmi:type="uml:Collaboration" xmi:id="_tHLhEDBhEeqxv6YJjwaRyw" name="Action">
        <ownedTemplateSignature xmi:type="uml:RedefinableTemplateSignature" xmi:id="_3PvFcDBhEeqxv6YJjwaRyw" name="ActionPatternSignature" parameter="_g8ug8DBiEeqxv6YJjwaRyw _Nyas8Ek0Eeqojt4A_a-YAw _VrxO0Ek0Eeqojt4A_a-YAw">
          <ownedParameter xmi:type="uml:ClassifierTemplateParameter" xmi:id="_g8ug8DBiEeqxv6YJjwaRyw" parameteredElement="_mnqDcDBiEeqxv6YJjwaRyw">
            <ownedParameteredElement xmi:type="uml:DataType" xmi:id="_mnqDcDBiEeqxv6YJjwaRyw" name="Goal" templateParameter="_g8ug8DBiEeqxv6YJjwaRyw"/>
          </ownedParameter>
          <ownedParameter xmi:type="uml:ClassifierTemplateParameter" xmi:id="_Nyas8Ek0Eeqojt4A_a-YAw" parameteredElement="_RKTOwEk0Eeqojt4A_a-YAw">
            <ownedParameteredElement xmi:type="uml:DataType" xmi:id="_RKTOwEk0Eeqojt4A_a-YAw" name="Response" templateParameter="_Nyas8Ek0Eeqojt4A_a-YAw"/>
          </ownedParameter>
          <ownedParameter xmi:type="uml:ClassifierTemplateParameter" xmi:id="_VrxO0Ek0Eeqojt4A_a-YAw" parameteredElement="_XdlKsEk0Eeqojt4A_a-YAw">
            <ownedParameteredElement xmi:type="uml:DataType" xmi:id="_XdlKsEk0Eeqojt4A_a-YAw" name="Feedback" templateParameter="_VrxO0Ek0Eeqojt4A_a-YAw"/>
          </ownedParameter>
        </ownedTemplateSignature>
      </packagedElement>
      <packagedElement xmi:type="uml:Collaboration" xmi:id="_3VN08MawEeu82J2UNoiWfA" name="PubSub">
        <ownedTemplateSignature xmi:type="uml:RedefinableTemplateSignature" xmi:id="_CagtgPIzEeeJotakjzOasQ" name="PubSubPatternSignature" parameter="_HAQwoPIzEeeJotakjzOasQ">
          <ownedParameter xmi:type="uml:ClassifierTemplateParameter" xmi:id="_HAQwoPIzEeeJotakjzOasQ" parameteredElement="_KbNNgPIzEeeJotakjzOasQ">
            <ownedParameteredElement xmi:type="uml:DataType" xmi:id="_KbNNgPIzEeeJotakjzOasQ" name="Message" templateParameter="_HAQwoPIzEeeJotakjzOasQ"/>
          </ownedParameter>
        </ownedTemplateSignature>
      </packagedElement>
    </packagedElement>
    <packagedElement xmi:type="uml:Package" xmi:id="_jFmxoPn9Eee8c8wpObBu7w" name="execcontainer">
      <packagedElement xmi:type="uml:Class" xmi:id="_dFzyYPn9Eee8c8wpObBu7w" name="Thread">
        <nestedClassifier xmi:type="uml:Class" xmi:id="_OXBTIElkEeiH7PUTM35BlA" name="ParameterSet">
          <ownedAttribute xmi:type="uml:Property" xmi:id="_gYuUoPn9Eee8c8wpObBu7w" name="local_priority_range" visibility="public" type="_gnYXEC3DEeitsIbICg0CnA">
            <lowerValue xmi:type="uml:LiteralInteger" xmi:id="_GK_F4C3FEeitsIbICg0CnA"/>
            <upperValue xmi:type="uml:LiteralUnlimitedNatural" xmi:id="_GLe1IC3FEeitsIbICg0CnA" value="1"/>
          </ownedAttribute>
          <ownedAttribute xmi:type="uml:Property" xmi:id="_J2D5sCeUEeikJeAC9ZXoXA" name="local_priority">
            <type xmi:type="uml:DataType" href="pathmap://Papyrus_PROFILES/MARTE_Library.library.uml#_0KWSgBFQEdyUJeMeN__D-A"/>
            <lowerValue xmi:type="uml:LiteralInteger" xmi:id="_H2dwQC3FEeitsIbICg0CnA"/>
            <upperValue xmi:type="uml:LiteralUnlimitedNatural" xmi:id="_H2ygYC3FEeitsIbICg0CnA" value="1"/>
          </ownedAttribute>
          <ownedAttribute xmi:type="uml:Property" xmi:id="_VWCxwCeZEeikJeAC9ZXoXA" name="interarrival_range" type="_-SPdcC3DEeitsIbICg0CnA">
            <lowerValue xmi:type="uml:LiteralInteger" xmi:id="_InoHcC3FEeitsIbICg0CnA" value="1"/>
            <upperValue xmi:type="uml:LiteralUnlimitedNatural" xmi:id="_IoEMUC3FEeitsIbICg0CnA" value="1"/>
          </ownedAttribute>
          <ownedAttribute xmi:type="uml:Property" xmi:id="_0AfrYC3EEeitsIbICg0CnA" name="interarrival_time" visibility="public">
            <type xmi:type="uml:DataType" href="pathmap://Papyrus_PROFILES/MARTE_Library.library.uml#_kMwX8BFREdyUJeMeN__D-A"/>
          </ownedAttribute>
          <ownedAttribute xmi:type="uml:Property" xmi:id="__pc7MC53Eei0V9-WLHIyvg" name="rel_deadline" visibility="public">
            <type xmi:type="uml:DataType" href="pathmap://Papyrus_PROFILES/MARTE_Library.library.uml#_kMwX8BFREdyUJeMeN__D-A"/>
            <lowerValue xmi:type="uml:LiteralInteger" xmi:id="_nFPzUC58Eei0V9-WLHIyvg"/>
            <upperValue xmi:type="uml:LiteralUnlimitedNatural" xmi:id="_nFpb8C58Eei0V9-WLHIyvg" value="1"/>
          </ownedAttribute>
        </nestedClassifier>
      </packagedElement>
      <packagedElement xmi:type="uml:DataType" xmi:id="_gnYXEC3DEeitsIbICg0CnA" name="PriorityRange">
        <ownedAttribute xmi:type="uml:Property" xmi:id="_qx-i0C3DEeitsIbICg0CnA" name="bound" isOrdered="true">
          <type xmi:type="uml:DataType" href="pathmap://Papyrus_PROFILES/MARTE_Library.library.uml#_0KWSgBFQEdyUJeMeN__D-A"/>
          <lowerValue xmi:type="uml:LiteralInteger" xmi:id="_27OzoC3DEeitsIbICg0CnA" value="2"/>
          <upperValue xmi:type="uml:LiteralUnlimitedNatural" xmi:id="_275iAC3DEeitsIbICg0CnA" value="2"/>
        </ownedAttribute>
      </packagedElement>
      <packagedElement xmi:type="uml:DataType" xmi:id="_-SPdcC3DEeitsIbICg0CnA" name="InterarrivalTimeRange">
        <ownedAttribute xmi:type="uml:Property" xmi:id="_D_hwYC3EEeitsIbICg0CnA" name="bound" isOrdered="true">
          <type xmi:type="uml:DataType" href="pathmap://Papyrus_PROFILES/MARTE_Library.library.uml#_kMwX8BFREdyUJeMeN__D-A"/>
          <lowerValue xmi:type="uml:LiteralInteger" xmi:id="_E7PxwC3EEeitsIbICg0CnA" value="2"/>
          <upperValue xmi:type="uml:LiteralUnlimitedNatural" xmi:id="_E7wIEC3EEeitsIbICg0CnA" value="2"/>
        </ownedAttribute>
      </packagedElement>
    </packagedElement>
    <packagedElement xmi:type="uml:Package" xmi:id="_ysOXAPjgEeqA4v_JqiO9QA" name="skillsemantics">
      <packagedElement xmi:type="uml:StateMachine" xmi:id="_4Qge8PjgEeqA4v_JqiO9QA" name="DefaultSkillFSMTemplate">
        <region xmi:type="uml:Region" xmi:id="_4Qge8fjgEeqA4v_JqiO9QA" name="Region1">
          <transition xmi:type="uml:Transition" xmi:id="_4Qge8vjgEeqA4v_JqiO9QA" source="_4Qge9_jgEeqA4v_JqiO9QA" target="_4Qge-PjgEeqA4v_JqiO9QA"/>
          <transition xmi:type="uml:Transition" xmi:id="_4Qge8_jgEeqA4v_JqiO9QA" source="_4Qge-PjgEeqA4v_JqiO9QA" target="_4Qge-vjgEeqA4v_JqiO9QA">
            <trigger xmi:type="uml:Trigger" xmi:id="_4Qge9PjgEeqA4v_JqiO9QA" event="_87HQEPjkEeqA4v_JqiO9QA"/>
          </transition>
          <transition xmi:type="uml:Transition" xmi:id="_4Qge9fjgEeqA4v_JqiO9QA" source="_4Qge-PjgEeqA4v_JqiO9QA" target="_4Qge-fjgEeqA4v_JqiO9QA">
            <trigger xmi:type="uml:Trigger" xmi:id="_4Qge9vjgEeqA4v_JqiO9QA" event="_XuDHEPjlEeqA4v_JqiO9QA"/>
          </transition>
          <subvertex xmi:type="uml:Pseudostate" xmi:id="_4Qge9_jgEeqA4v_JqiO9QA" name="Initial1"/>
          <subvertex xmi:type="uml:State" xmi:id="_4Qge-PjgEeqA4v_JqiO9QA" name="run"/>
          <subvertex xmi:type="uml:State" xmi:id="_4Qge-fjgEeqA4v_JqiO9QA" name="failure"/>
          <subvertex xmi:type="uml:State" xmi:id="_4Qge-vjgEeqA4v_JqiO9QA" name="success"/>
        </region>
      </packagedElement>
      <packagedElement xmi:type="uml:SignalEvent" xmi:id="_87HQEPjkEeqA4v_JqiO9QA" name="onSuccess"/>
      <packagedElement xmi:type="uml:SignalEvent" xmi:id="_XuDHEPjlEeqA4v_JqiO9QA" name="onFailure"/>
    </packagedElement>
    <profileApplication xmi:type="uml:ProfileApplication" xmi:id="_Z-u0wJc5EeeMi5p56pRHFw">
      <eAnnotations xmi:type="ecore:EAnnotation" xmi:id="_Z-9eQJc5EeeMi5p56pRHFw" source="http://www.eclipse.org/uml2/2.0.0/UML">
        <references xmi:type="ecore:EPackage" href="http://www.eclipse.org/papyrus/robotics/1#/"/>
      </eAnnotations>
      <appliedProfile xmi:type="uml:Profile" href="pathmap://ROBOTICS_PROFILES/robotics.profile.uml#__9qqMJZ1Eeeq1f8hGgKVzA"/>
    </profileApplication>
    <profileApplication xmi:type="uml:ProfileApplication" xmi:id="_Z_S1cJc5EeeMi5p56pRHFw">
      <eAnnotations xmi:type="ecore:EAnnotation" xmi:id="_Z_TcgJc5EeeMi5p56pRHFw" source="http://www.eclipse.org/uml2/2.0.0/UML">
        <references xmi:type="ecore:EPackage" href="http://www.eclipse.org/papyrus/robotics/1#//components"/>
      </eAnnotations>
      <appliedProfile xmi:type="uml:Profile" href="pathmap://ROBOTICS_PROFILES/robotics.profile.uml#_EZ1TgJZ2Eeeq1f8hGgKVzA"/>
    </profileApplication>
    <profileApplication xmi:type="uml:ProfileApplication" xmi:id="_1v1bUJiFEee8nZCbeZ5GPQ">
      <eAnnotations xmi:type="ecore:EAnnotation" xmi:id="_1v7h8JiFEee8nZCbeZ5GPQ" source="http://www.eclipse.org/uml2/2.0.0/UML">
        <references xmi:type="ecore:EPackage" href="http://www.eclipse.org/papyrus/robotics/1#//commpattern"/>
      </eAnnotations>
      <appliedProfile xmi:type="uml:Profile" href="pathmap://ROBOTICS_PROFILES/robotics.profile.uml#_8Z6x8Je6EeeiCOWsEr9OuA"/>
    </profileApplication>
    <profileApplication xmi:type="uml:ProfileApplication" xmi:id="_tlEdsJijEee4S-CBnWqXWg">
      <eAnnotations xmi:type="ecore:EAnnotation" xmi:id="_tlGS4JijEee4S-CBnWqXWg" source="http://www.eclipse.org/uml2/2.0.0/UML">
        <references xmi:type="ecore:EPackage" href="pathmap://PAPYRUS_ACTIONLANGUAGE_PROFILE/ActionLanguage-Profile.profile.uml#_Kv8EIKFXEeS_KNX0nfvIVQ"/>
      </eAnnotations>
      <appliedProfile xmi:type="uml:Profile" href="pathmap://PAPYRUS_ACTIONLANGUAGE_PROFILE/ActionLanguage-Profile.profile.uml#ActionLanguage"/>
    </profileApplication>
    <profileApplication xmi:type="uml:ProfileApplication" xmi:id="_ug8usPFZEeehpNq9BbSb-Q">
      <eAnnotations xmi:type="ecore:EAnnotation" xmi:id="_ug_yAPFZEeehpNq9BbSb-Q" source="http://www.eclipse.org/uml2/2.0.0/UML">
        <references xmi:type="ecore:EPackage" href="http://www.eclipse.org/papyrus/MARTE/1#//MARTE_Annexes/VSL/DataTypes"/>
      </eAnnotations>
      <appliedProfile xmi:type="uml:Profile" href="pathmap://Papyrus_PROFILES/MARTE.profile.uml#_9FdqwA-MEdyLh7muGbCqMw"/>
    </profileApplication>
    <profileApplication xmi:type="uml:ProfileApplication" xmi:id="_pDJEYPFoEeehpNq9BbSb-Q">
      <eAnnotations xmi:type="ecore:EAnnotation" xmi:id="_pDJrcPFoEeehpNq9BbSb-Q" source="http://www.eclipse.org/uml2/2.0.0/UML">
        <references xmi:type="ecore:EPackage" href="http://www.eclipse.org/papyrus/MARTE/1#//MARTE_Foundations/NFPs"/>
      </eAnnotations>
      <appliedProfile xmi:type="uml:Profile" href="pathmap://Papyrus_PROFILES/MARTE.profile.uml#_U_GAoAPMEdyuUt-4qHuVvQ"/>
    </profileApplication>
    <profileApplication xmi:type="uml:ProfileApplication" xmi:id="_ba3-0PujEeeGAO2m_WRmDg">
      <eAnnotations xmi:type="ecore:EAnnotation" xmi:id="_ba50APujEeeGAO2m_WRmDg" source="http://www.eclipse.org/uml2/2.0.0/UML">
        <references xmi:type="ecore:EPackage" href="http://www.eclipse.org/papyrus/robotics/bpc/1#/"/>
      </eAnnotations>
      <appliedProfile xmi:type="uml:Profile" href="pathmap://ROBOTICS_BPC_PROFILES/bpc.profile.uml#__9qqMJZ1Eeeq1f8hGgKVzA"/>
    </profileApplication>
    <profileApplication xmi:type="uml:ProfileApplication" xmi:id="_RqEMsPmPEemo9pEPSkbULg">
      <eAnnotations xmi:type="ecore:EAnnotation" xmi:id="_RqFa0PmPEemo9pEPSkbULg" source="http://www.eclipse.org/uml2/2.0.0/UML">
        <references xmi:type="ecore:EPackage" href="http://www.eclipse.org/papyrus/robotics/1#//generics"/>
      </eAnnotations>
      <appliedProfile xmi:type="uml:Profile" href="pathmap://ROBOTICS_PROFILES/robotics.profile.uml#_eFhjMEnvEeien6eLHpkAxA"/>
    </profileApplication>
    <profileApplication xmi:type="uml:ProfileApplication" xmi:id="_JBhlEPjhEeqA4v_JqiO9QA">
      <eAnnotations xmi:type="ecore:EAnnotation" xmi:id="_JBizMPjhEeqA4v_JqiO9QA" source="http://www.eclipse.org/uml2/2.0.0/UML">
        <references xmi:type="ecore:EPackage" href="http://www.eclipse.org/papyrus/robotics/1#//skills"/>
      </eAnnotations>
      <appliedProfile xmi:type="uml:Profile" href="pathmap://ROBOTICS_PROFILES/robotics.profile.uml#_gi8QcEu_EemIANEC5Ku3WA"/>
    </profileApplication>
  </uml:Model>
  <robotics.commpattern:CommunicationPattern xmi:id="_9oW4gCaoEeiurq-kTHMlgA" base_Collaboration="_AmgZQPIzEeeJotakjzOasQ">
    <v xmi:type="bpc:VersionMetaData" xmi:id="_9oW4gSaoEeiurq-kTHMlgA"/>
    <id xmi:type="bpc:IdMetaData" xmi:id="_9oW4giaoEeiurq-kTHMlgA" instance_uid="_9oW4giaoEeiurq-kTHMlgA"/>
  </robotics.commpattern:CommunicationPattern>
  <robotics.commpattern:CommunicationPattern xmi:id="_CVG7gCapEeiurq-kTHMlgA" base_Collaboration="_ZBowECakEeitH-pStkBWTw">
    <v xmi:type="bpc:VersionMetaData" xmi:id="_CVG7gSapEeiurq-kTHMlgA"/>
    <id xmi:type="bpc:IdMetaData" xmi:id="_CVG7giapEeiurq-kTHMlgA" instance_uid="_CVG7giapEeiurq-kTHMlgA"/>
  </robotics.commpattern:CommunicationPattern>
  <robotics.commpattern:CommunicationPattern xmi:id="_DMQl8CapEeiurq-kTHMlgA" base_Collaboration="_jcHOYKFvEeemu4wTX3aBAQ">
    <v xmi:type="bpc:VersionMetaData" xmi:id="_DMQl8SapEeiurq-kTHMlgA"/>
    <id xmi:type="bpc:IdMetaData" xmi:id="_DMQl8iapEeiurq-kTHMlgA" instance_uid="_DMQl8iapEeiurq-kTHMlgA"/>
  </robotics.commpattern:CommunicationPattern>
  <robotics.commpattern:CommunicationPattern xmi:id="_D3NncCapEeiurq-kTHMlgA" base_Collaboration="_0UqVACanEeiurq-kTHMlgA">
    <v xmi:type="bpc:VersionMetaData" xmi:id="_D3NncSapEeiurq-kTHMlgA"/>
    <id xmi:type="bpc:IdMetaData" xmi:id="_D3NnciapEeiurq-kTHMlgA" instance_uid="_D3NnciapEeiurq-kTHMlgA"/>
  </robotics.commpattern:CommunicationPattern>
  <robotics.commpattern:CommunicationPattern xmi:id="_qnlnQDBjEeqxv6YJjwaRyw" base_Collaboration="_tHLhEDBhEeqxv6YJjwaRyw"/>
  <robotics.skills:SkillSemantic xmi:id="_NJ690PjhEeqA4v_JqiO9QA" base_Class="_4Qge8PjgEeqA4v_JqiO9QA" base_StateMachine="_4Qge8PjgEeqA4v_JqiO9QA"/>
  <robotics.skills:SkillFSMRegion xmi:id="_QA2usPjhEeqA4v_JqiO9QA" base_Region="_4Qge8fjgEeqA4v_JqiO9QA"/>
  <robotics.skills:TransitionEdge xmi:id="_Q_YMcPjhEeqA4v_JqiO9QA" base_Transition="_4Qge8vjgEeqA4v_JqiO9QA"/>
  <robotics.skills:TransitionEdge xmi:id="_Rk4tQPjhEeqA4v_JqiO9QA" base_Transition="_4Qge8_jgEeqA4v_JqiO9QA"/>
  <robotics.skills:TransitionEdge xmi:id="_SIqIsPjhEeqA4v_JqiO9QA" base_Transition="_4Qge9fjgEeqA4v_JqiO9QA"/>
  <robotics.skills:SkillInitialState xmi:id="_S3aFEPjhEeqA4v_JqiO9QA" base_Pseudostate="_4Qge9_jgEeqA4v_JqiO9QA"/>
  <robotics.skills:SkillOperationalState xmi:id="_TxnDgPjhEeqA4v_JqiO9QA" base_State="_4Qge-PjgEeqA4v_JqiO9QA"/>
  <robotics.skills:SkillFailState xmi:id="_UhtqwPjhEeqA4v_JqiO9QA" base_State="_4Qge-fjgEeqA4v_JqiO9QA"/>
  <robotics.skills:SkillSuccessState xmi:id="_VMUG8PjhEeqA4v_JqiO9QA" base_State="_4Qge-vjgEeqA4v_JqiO9QA"/>
  <robotics.commpattern:CommunicationPattern xmi:id="_7R-rAMboEeu82J2UNoiWfA" base_Collaboration="_3VN08MawEeu82J2UNoiWfA"/>
</xmi:XMI>
